Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class EmbedFontInfo

    java.lang.Object
      org.apache.fop.fonts.EmbedFontInfo

All Implemented Interfaces:
  java.io.Serializable

    public class EmbedFontInfo

extends java.lang.Object
implements java.io.Serializable

FontInfo contains meta information on fonts (where is the metrics file etc.) TODO: We need to remove this class and think about more intelligent design patterns (Data classes => Procedural code)

See Also:
  Serialized Form

Field Summary
`protected boolean` | `advanced` false, to disable advanced typographic features
`protected EmbeddingMode` | `embeddingMode` the requested embedding mode for this font
`protected java.lang.String` | `embedFile` filename of the main font file
`protected EncodingMode` | `encodingMode` the requested encoding mode for the font
`protected boolean` | `kerning` false, to disable kerning
`protected java.lang.String` | `metricsFile` filename of the metrics file
`protected java.lang.String` | `postScriptName` the PostScript name of the font
`protected java.lang.String` | `subFontName` the sub-fontname of the font (used for TrueType Collections, null otherwise)

Constructor Summary
`EmbedFontInfo(java.lang.String metricsFile, boolean kerning, boolean advanced, java.util.List<FontTriplet> fontTriplets, java.lang.String embedFile, java.lang.String subFontName)` Main constructor

Method Summary
`boolean` | `getAdvanced()` Determines if advanced typographic features are enabled
`EmbeddingMode` | `getEmbeddingMode()` Returns the embedding mode for this font.
`java.lang.String` | `getEmbedFile()` Returns the path to the embeddable font file
`EncodingMode` | `getEncodingMode()` Returns the requested encoding mode for this font.
`java.util.List<FontTriplet>` | `getFontTriplets()` Returns the list of font triplets associated with this font.
`boolean` | `getKerning()` Determines if kerning is enabled
`java.lang.String` | `getMetricsFile()` Returns the path to the metrics file
`java.lang.String` | `getPostScriptName()` Returns the PostScript name of the font.
`java.lang.String` | `getSubFontName()` Returns the sub-font name of the font.
`boolean` | `isEmbedded()` Indicates whether the font is only referenced rather than embedded.
`void` | `setEmbedded(boolean value)` Defines whether the font is embedded or not.
`void` | `setEmbeddingMode(EmbeddingMode embeddingMode)` Sets the embedding mode for this font, currently not supported for Type 1 fonts.
`void` | `setEncodingMode(EncodingMode mode)` Sets the requested encoding mode for this font.
`void` | `setPostScriptName(java.lang.String postScriptName)` Sets the PostScript name of the font
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### metricsFile

    protected java.lang.String metricsFile

  filename of the metrics file

### embedFile

    protected java.lang.String embedFile

  filename of the main font file

### kerning

    protected boolean kerning

  false, to disable kerning

### advanced

    protected boolean advanced

  false, to disable advanced typographic features

### encodingMode

    protected EncodingMode encodingMode

  the requested encoding mode for the font

### embeddingMode

    protected EmbeddingMode embeddingMode

  the requested embedding mode for this font

### postScriptName

    protected java.lang.String postScriptName

  the PostScript name of the font

### subFontName

    protected java.lang.String subFontName

  the sub-fontname of the font (used for TrueType Collections, null otherwise)

Constructor Detail

### EmbedFontInfo

    public EmbedFontInfo(java.lang.String metricsFile,
                         boolean kerning,
                         boolean advanced,
                         java.util.List<FontTriplet> fontTriplets,
                         java.lang.String embedFile,
                         java.lang.String subFontName)

  Main constructor

  Parameters:
    `metricsFile` - path to the xml file containing font metrics
    `kerning` - true if kerning should be enabled
    `advanced` - true if advanced typography features should be enabled
    `fontTriplets` - list of font triplets to associate with this font
    `embedFile` - path to the embeddable font file (may be null)
    `subFontName` - the sub-fontname used for TrueType Collections (null otherwise)

Method Detail

### getMetricsFile

    public java.lang.String getMetricsFile()

  Returns the path to the metrics file

  Returns:
    the metrics file path

### getEmbedFile

    public java.lang.String getEmbedFile()

  Returns the path to the embeddable font file

  Returns:
    the font file path

### getKerning

    public boolean getKerning()

  Determines if kerning is enabled

  Returns:
    true if enabled

### getAdvanced

    public boolean getAdvanced()

  Determines if advanced typographic features are enabled

  Returns:
    true if enabled

### getSubFontName

    public java.lang.String getSubFontName()

  Returns the sub-font name of the font. This is primarily used for TrueType Collections to select one of the sub-fonts. For all other fonts, this is always null.

  Returns:
    the sub-font name (or null)

### getPostScriptName

    public java.lang.String getPostScriptName()

  Returns the PostScript name of the font.

  Returns:
    the PostScript name

### setPostScriptName

    public void setPostScriptName(java.lang.String postScriptName)

  Sets the PostScript name of the font

  Parameters:
    `postScriptName` - the PostScript name

### getFontTriplets

    public java.util.List<FontTriplet> getFontTriplets()

  Returns the list of font triplets associated with this font.

  Returns:
    List of font triplets

### isEmbedded

    public boolean isEmbedded()

  Indicates whether the font is only referenced rather than embedded.

  Returns:
    true if the font is embedded, false if it is referenced.

### getEmbeddingMode

    public EmbeddingMode getEmbeddingMode()

  Returns the embedding mode for this font.

  Returns:
    the embedding mode.

### setEmbedded

    public void setEmbedded(boolean value)

  Defines whether the font is embedded or not.

  Parameters:
    `value` - true to embed the font, false to reference it

### getEncodingMode

    public EncodingMode getEncodingMode()

  Returns the requested encoding mode for this font.

  Returns:
    the encoding mode

### setEncodingMode

    public void setEncodingMode(EncodingMode mode)

  Sets the requested encoding mode for this font.

  Parameters:
    `mode` - the new encoding mode

### setEmbeddingMode

    public void setEmbeddingMode(EmbeddingMode embeddingMode)

  Sets the embedding mode for this font, currently not supported for Type 1 fonts.

  Parameters:
    `embeddingMode` - the new embedding mode.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.